profile
viewpoint

Ask questionsAndroid Gradle Plugin 4.0.0, direct local .aar file dependencies are not supported when building an AAR

Hi, I got this error when I updated Android Gradle Plugin to version 4.0.0 :

> Direct local .aar file dependencies are not supported when building an AAR. The resulting AAR would be broken because the classes and Android resources from any local .aar file dependencies would not be packaged in the resulting AAR. Previous versions of the Android Gradle Plugin produce broken AARs in this case too (despite not throwing this error). The following direct local .aar file dependencies of the :appconsent-core project caused this error: /.liquidcore/liquidcore-Nodejs-0.7.9.aar, /.liquidcore/liquidcore-V8-0.7.9.aar

LiquidPlayer/LiquidCore

Answer questions ericwlange

The AARs are hosted on github. If you look at include.gradle and include.V8.gradle, this is where the AAR download happens. If you can figure out a solution, please file a PR. Otherwise I am not quite sure when I can get to it.

useful!

Related questions

No questions were found.
Github User Rank List